package cn.estsh.i3plus.pojo.aps.bean;

import cn.estsh.i3plus.pojo.aps.common.BaseAPS;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :运输时间
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2019-09-17
 * @Modify:
 **/
@Data
@Entity
@Table(name = "APS_SHIPPING_TIME")
@Api("运输时间")
public class ShippingTime extends BaseAPS {
    @Column(name="PREV_RES_CODE")
    @ApiParam(value ="前资源编码")
    private String prevResCode;

    @Column(name="POST_RES_CODE")
    @ApiParam(value ="后资源编码")
    private String postResCode;

    @Column(name="PREV_STAND_CODE")
    @ApiParam(value ="前标准工序编码")
    private String prevStandCode;

    @Column(name="POST_STAND_CODE")
    @ApiParam(value ="后标准工序编码")
    private String postStandCode;

    @Column(name="TIME")
    @ApiParam(value ="运输时间")
    private String time;

    @Column(name="PRIORITY")
    @ApiParam(value ="优先级")
    private Integer priority;
}
